/*
 * Copyright 2008 Evan Cowden
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
/**
 * <p>Annotation processors for Naked-OSGi configuration</p>
 * 
 * <p>In the context of this package, a manifest is represented as a a collection
 * of key-value pairs (a Map<String, String>)</p>
 * 
 * <p>In the context of these packages, a <i>processor</i> is an annotation
 * processor, and implements {@code javax.annotation.processing.Processor}.  A
 * <i>parser</i> is a utility class that helps to extract, collect and assemble
 * information for a specific annotation.</p>
 */
package org.nakedosgi.processor;

